#!/bin/sh

dropdb foobug

createdb foobug
psql foobug <<!!

CREATE TABLE wfltk_status (
  statusid_ref       INT8 NOT NULL UNIQUE,
  statusid_code      VARCHAR(64) NOT NULL,
  description        TEXT,
  effective_start    TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  effective_end      TIMESTAMP,
  create_date        TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  last_updated       TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  last_updated_user  VARCHAR(64) DEFAULT CURRENT_USER,
  last_updated_node  VARCHAR(64),
  status             VARCHAR(64) NOT NULL,
  PRIMARY KEY (statusid_ref)
);

CREATE INDEX wfltk_status_code ON wfltk_status(statusid_code);

!!

pg_dump -v foobug

